Package org.optaplanner.core.config.heuristic.selector.move.generic

## Enum SubPillarType

- java.lang.Object
- - java.lang.Enum<SubPillarType>
  - - org.optaplanner.core.config.heuristic.selector.move.generic.SubPillarType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SubPillarType>`

      public enum SubPillarType
      extends Enum<SubPillarType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | Pillars may also be affected partially, the resulting subpillar returned in random order.
    `NONE` | Pillars will only be affected in their entirety.
    `SEQUENCE` | Pillars may also be affected partially, and the resulting subpillar returned in an order according to a given `Comparator`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SubPillarType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SubPillarType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SubPillarType NONE

      Pillars will only be affected in their entirety.

    - #### SEQUENCE

          public static final SubPillarType SEQUENCE

      Pillars may also be affected partially, and the resulting subpillar returned in an order according to a given `Comparator`.

    - #### ALL

          public static final SubPillarType ALL

      Pillars may also be affected partially, the resulting subpillar returned in random order.

  - ### Method Detail

    - #### values

          public static SubPillarType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubPillarType c : SubPillarType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubPillarType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null